Create a new label
curl --request POST \
--url https://{host}/api/{session}/labels \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"name": "Lead",
"colorHex": "#ff9485",
"color": null
}
'import requests
url = "https://{host}/api/{session}/labels"
payload = {
"name": "Lead",
"colorHex": "#ff9485",
"color": None
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Lead', colorHex: '#ff9485', color: null})
};
fetch('https://{host}/api/{session}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"label": {
"id": "label123",
"name": "VIP Clients",
"color": 1
}
}
Labels
Create New Label
Create new label to organize and categorize chats
POST
/
api
/
{session}
/
labels
Create a new label
Description
This endpoint allows you to create a new label to organize your chats. Labels are useful for categorizing chats by themes, priorities or any custom criteria.URL Parameters
string
required
WhatsApp unique session ID
Request Body
string
Custom ID of the label (optional)
string
required
Name of the label
number
required
Numeric code of the label color
Response
boolean
Indicates if the label was created successfully
{
"success": true,
"label": {
"id": "label123",
"name": "VIP Clients",
"color": 1
}
}
Status Codes
200- Label created successfully400- Invalid parameters401- Unauthorized
Usage Example
curl -X POST https://api.wappfy.com.br/api/my-session/labels \
-H "Content-Type: application/json" \
-d '{
"label": {
"name": "VIP Clients",
"color": 1
}
}'
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/labels`, {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
label: {
name: 'VIP Clients',
color: 1
}
})
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.post(
f'https://api.wappfy.com.br/api/{session}/labels',
json={
'label': {
'name': 'VIP Clients',
'color': 1
}
}
)
data = response.json()
print(data)
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
Session name (instanceName)
Body
application/json
